kmmd-class {kernlab} | R Documentation

## Class "kqr"

### Description

The Kernel Maximum Mean Discrepancy object class

### Objects from the Class

Objects can be created by calls of the form `new("kmmd", ...)`. or by calling the `kmmd` function

### Slots

`kernelf`:

  Object of class `"kfunction"` contains the kernel function used

`xmatrix`:

  Object of class `"kernelMatrix"` containing the data used

H0

  Object of class `"logical"` contains value of : is H0 rejected (logical)

`AsympH0`

  Object of class `"logical"` contains value : is H0 rejected according to the asymptotic bound (logical)

`mmdstats`

  Object of class `"vector"` contains the test statistics (vector of two)

`Radbound`

  Object of class `"numeric"` contains the Rademacher bound

`Asymbound`

  Object of class `"numeric"` contains the asymptotic bound

### Methods

kernelf

  `signature(object = "kmmd")`: returns the kernel function used

H0

  `signature(object = "kmmd")`: returns the value of H0 being rejected

AsympH0

  `signature(object = "kmmd")`: returns the value of H0 being rejected according to the asymptotic bound

mmdstats

  `signature(object = "kmmd")`: returns the values of the mmd statistics

Radbound

  `signature(object = "kmmd")`: returns the value of the Rademacher bound

Asymbound

  `signature(object = "kmmd")`: returns the value of the asymptotic bound

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`kmmd`,

### Examples

    # create data
    x <- matrix(runif(300),100)
    y <- matrix(runif(300)+1,100)

    mmdo <- kmmd(x, y)

    H0(mmdo)

[Package kernlab version 0.9-27 Index]